<?
	need ('table');

	function isFocused ($name, $newname)
	{
		return (strToLower ($name) == strToLower ($newname)) ? 1 : 0;
	}

	function iconLink ($url, $img, $desc, $border)
	{
		echo '<A class="tabs" href="' . $url . '"><IMG src="' . $img . '" alt="' . $desc . ' " hSpace="3" vSpace="1" border="' . $border . '" width="24" height="24"></A>';
	}
	
	function iconBar ($focused)
	{
		echo	'<TABLE border="0" cellSpacing="0" cellPadding="2" bgColor="white">' .
				'<TR>';
		tableSpacer (1, 1, 1, white);
		echo '<TD>';
//		iconLink ('http://sourceforge.net/projects/quake/', '/img/icons/anvil.png', 'SourceForge', isFocused($focused, 'summary'));
		iconLink ('/', '/img/icons/home.png', 'Homepage', isFocused($focused, 'home'));
		iconLink ('/bugs/', '/img/icons/bugs.png', 'Bugs', isFocused($focused, 'bugs'));
//		iconLink ('http://sourceforge.net/support/?group_id=882', '/img/icons/support.png', 'Support', isFocused($focused, 'support'));
//		iconLink ('http://sourceforge.net/patch/?group_id=882', '/img/icons/patch.png', 'Patches', isFocused($focused, 'patch'));
		iconLink ('/lists.php', '/img/icons/mail.png', 'Lists', isFocused($focused, 'mail'));
//		iconLink ('http://sourceforge.net/pm/?group_id=882', '/img/icons/tasks.png', 'Tasks', isFocused($focused, 'tasks'));
//		iconLink ('http://sourceforge.net/survey/?group_id=882', '/img/icons/survey.png', 'Surveys', isFocused($focused, 'survey'));
		iconLink ('/news.php', '/img/icons/news.png', 'News', isFocused($focused, 'news'));
		iconLink ('/cgi-bin/viewcvs.cgi/', '/img/icons/cvs.png', 'CVS', isFocused($focused, 'cvs'));
		iconLink ('/files.php', '/img/icons/download.png', 'Downloads', isFocused($focused, 'download'));
		echo	'</TD></TR></TABLE>';
	}
	
	function topBar ($pageName)
	{
		global $focused;
		
		tableHeader ("100%", black);
		echo  	'	<TR vAlign="bottom">' .
				'		<TD align="left">' .
				'			<SPAN class="pageTitle">' . $pageName . '</SPAN>' .
				'		</TD>' .
				'		<TD align="right">';
		iconBar ($focused);
		echo	'		</TD>' .
				'	</TR>' .
				'	<TR>';
		tableSpacer (1, 1, 2, black);
		echo	'	</TR>' .
				'	<TR>';
		tableSpacer (2, 1, 2, white);
		echo	'	</TR>';
		tableFooter ();
	}
	
	topBar ($pageName);
?>
